## pg-crash 0.3

=== Makefile ===
MODULE_big = pg_crash
OBJS = pg_crash.o $(WIN32RES)
PGFILEDESC = "pg_crash"

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-crash (0.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117274)
  * Add ${postgresql:Breaks}.
  * Fix Vcs-Git, repo is on github.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:02:20 +0200

pg-crash (0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Jun 2025 16:54:40 +0200

pg-crash (0.2-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Jun 2025 16:44:40 +0200

=== debian/control ===
Source: pg-crash
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/cybertec-postgresql/pg_crash
Vcs-Browser: https://github.com/cybertec-postgresql/pg_crash
Vcs-Git: https://github.com/cybertec-postgresql/pg_crash.git

Package: postgresql-18-pg-crash
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Periodically crash your PostgreSQL database
 If your database is too reliable - pg_crash can kill it for you. pg_crash is
 an extension to PostgreSQL that periodically crashes your database
 infrastructure by sending kill (or other) signals to your DB processes and
 make them fail. It is ideal for HA and failover testing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_pgxs_test:
	debian/tests/crash . . postgresql-%v-pg-crash

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 crash,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/cybertec-postgresql/pg_crash/tags .*/v(.*).tar.gz
